/* 
//  ATMEGA128,  3,3V, 11059200Mhz Quarz, Display DOGXL160  
 
//	Library fr EA-DOGM Grafikdisplays inkl. Font-Generator 
//	Version 0.94 Autor: Jan M.
//	http://www.mikrocontroller.net/topic/144500#new

// Select display: DOGS102: 102, DOGM128/DOGL128: 128, DOGM132: 132, DOGXL160: 160
// in der dogm-graphic.h


// 	ATMEGA128      -->   	       		 DOGS102 DOGM128/132 DOGXL160  
    
//	#define LCD_A0/CD   2  // PB5 	->	 PIN 26		PIN 38	  	Pin 27	
//	#define LCD_RST     3  // PB4 	->	 PIN 27 	PIN 39   	Pin 29 	
//	#define LCD_CS      4  // PB0 	->   PIN 28 	PIN 40   	Pin 28 	
//	#define SPI_MOSI    5  // PB2 	->	 PIN 24		PIN 37   	Pin 32	
//	#define SPI_MISO    6  // ---		 ----       -----		------		
//	#define SPI_SCK     7  // PB1 	->	 PIN 25		PIN 36   	Pin 31	

*/   	


#include "tools.h"

static FILE mystdout = FDEV_SETUP_STREAM(lcd_putchar, NULL, _FDEV_SETUP_WRITE); // bindet printf() ein

//Uhr
const uint8_t uhr_bmp[] PROGMEM = { // Uhr als Grafik
	
	25, 32,
	0,128,224,112, 56, 28, 12,  6,  6,  3,  3,  3, 59,  3,  3,  3,
	6,134,204, 28, 56,112,224,128,  0,254,255,  1, 16, 16, 16,  0,
	0,  0,  6, 12, 24, 48, 24, 12,  6,  3,  1,  0, 16, 16, 16,  1,
	255,254,  0,  3, 15, 28, 56,112, 96,192,192,128,128,128,184,128,
	128,128,192,192, 96,112, 56, 28, 15,  3,  0,  0,  0,  0,  0,  0,
	0,  0,  0,  0,  1,  1,  1,  1,  1,  1,  1,  0,  0,  0,  0,  0,
	0,  0,  0,  0
};

int main (void)
{
	stdout = &mystdout; // bindet printf() ein 
	
	
	lcd_init();			// DOGM Init
	_delay_ms(10);  		// 10ms warten Display Init
	
	lcd_set_font(FONT_PROP_8, NORMAL); 			// Schrift/Gre

	
while(true)
{
	
	lcd_set_font(FONT_PROP_8, NORMAL); 			// Font setzen

	lcd_moveto_xy(0,0); printf("DOGM160-Test");
	
	lcd_set_font(FONT_PROP_16, NORMAL); 		// Gro-Schrift

	lcd_moveto_xy(4,1); printf("DOG160-Test");
	
	lcd_set_font(FONT_PROP_8, NORMAL); 			

	draw_partialpic_dogxl160((char*)uhr_bmp,75, 75); 
	
	lcd_moveto_xy(12,10); printf("mit Grafik-Anzeige");
}

return 0;

} /* end of main */





int lcd_putchar(char c, FILE *stream) // // bindet printf() ein
{
 	lcd_putc(c);
    return 0;
}



