//*----------------------------------------------------------------------------
// SPI.C
//*----------------------------------------------------------------------------
#include "spi.h"
/* 


// 	ATMEGA128      -->   	       		 DOGS102 DOGM128/132 DOGXL160  
    
//	#define LCD_A0/CD   5  // PB2 	->	 PIN 26		PIN 38	  Pin 27	
//	#define LCD_RST     4  // PB3 	->	 PIN 27 	PIN 39   	Pin 29 	
//	#define LCD_CS      0  // PB4 	->   PIN 28 	PIN 40   	Pin 28 	
//	#define SPI_MOSI    2  // PB5 	->	 PIN 24		PIN 37   	Pin 32	
//	#define SPI_MISO    3  //  ---		   ----     -----		------		
//	#define SPI_SCK     1  // PB7 	->	 PIN 25		PIN 36   	Pin 31	

*/   	


//*----------------------------------------------------------------------------
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
#define LCD_A0      5     
#define LCD_RST     4     
#define LCD_CS      0      
#define SPI_MOSI    2     
#define SPI_MISO    3     	
#define SPI_SCK     1     

void SPI_PORT_Init(void) 
{
  // === PORT-B CONFIG ===
 DDRB = (1 << LCD_RST) | (1 << LCD_A0) | (1 << SPI_MOSI) | (1 << SPI_SCK)  | (1 << LCD_CS);
 DDRB &=~(1<<SPI_MISO);
 PORTB = (1 << LCD_CS);    // CS auf high

  



}
// SPI-Bus initialisieren
//*----------------------------------------------------------------------------
void Spi_Init(void)
{
  //SPCR = (1 << SPE) | (1 << MSTR) | (0 << SPR1) | (0 << SPR0);    // 4 MBit SPI
  SPCR = 0 << SPIE | 1 << SPE | 0 << DORD | 1 << MSTR | 1 << CPOL | 1 << CPHA | 0 << SPR1 | 0 << SPR0;
  SPSR = 0;
  _delay_ms(2);

 }

